# eoExternalQuadOp< F, External, ExternalEO > Class Template Reference

Crossover of external struct, ctor expects a function of the following signature:. More...

`#include <eoExternalOpFunctions.h>`

Inheritance diagram for eoExternalQuadOp< F, External, ExternalEO >:

List of all members.

## Public Member Functions

| eoExternalQuadOp (bool(*_quadop)(External &, External &))
bool | operator() (ExternalEO &eo1, ExternalEO &eo2)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

bool(* | quadop )(External &, External &)

## Detailed Description

### template<class F, class External, class ExternalEO = eoExternalEO<F, External>>
class eoExternalQuadOp< F, External, ExternalEO >

Crossover of external struct, ctor expects a function of the following signature:.

bool func(External&, External&);

Where External is the user defined struct or class The function should return true when it changed something, false otherwise

Definition at line 154 of file eoExternalOpFunctions.h.

The documentation for this class was generated from the following file:

- eoExternalOpFunctions.h